Subject: Re: #1151 - Building Emacs on Mac OS 10.3.9 - Emacs bug report logs

From: "Alex Schröder" <[email-masked]>
Date: Mon, 29 Dec 2008 13:56:16 +0100

More info on the strange mapping for äöü and related non-ASCII
characters. When I use C-h k ä I get the following information:

‰ (translated from ä) runs the command self-insert-command, which is
an interactive built-in function in `C source code'.

So Emacs does at some point in time recognize the ä.

On Mon, Dec 29, 2008 at 12:05 PM, Alex Schröder <[email-masked]> wrote:
> I've come back to my Mac after a few days and noticed a problem with
> the patched version. My Mac has a Swiss German keyboard. The keys
> producing ASCII characters all work. Therefore the layout is correct.
> But the non-ASCII are wrong: The sequence çäöüàéè results in Á‰ˆ¸‡ÈË,
> for example.
>
> I'm not sure this is related to the patch, because the patch concerns
> ns_do_applescript… Hm...